<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}


$post = mysql_fetch_assoc(mysql_query("SELECT * FROM `mini_chat` WHERE `id` = '" . intval($_GET['post']) . "' limit 1"));
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
$page = intval($_GET['page']);

if (isset($_GET['ok']) && $_SESSION['img'] && $_SESSION['type'] && $_SESSION['pos']) {
    mysql_query("INSERT INTO `mini_chat_layp` (id_user, time, dir, img, margin_left, id_post) values('$user[id]', '$time', '" . mysql_real_escape_string($_SESSION['type']) . "', '" . intval($_SESSION['img']) . "', '" . intval($_SESSION['pos']) . "', '$post[id]')");

    if ($_SESSION['type'] == 'tomate') {
        $msg = "кинул" . ($user['sex'] == 0 ? "а" : "") . " [red][b]Помидор[/b][/red] на Ваше сообщение, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'kraski') {
        $msg = "заляпал" . ($user['sex'] == 0 ? "а" : "") . " [red][b]Краской[/b][/red] Ваше сообщение, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'puli') {
        $msg = "пальнул" . ($user['sex'] == 0 ? "а" : "") . " [blue][b]Из Нагана[/b][/blue] по Вашему сообщению, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'pchel') {
        $msg = "посадил" . ($user['sex'] == 0 ? "а" : "") . " [green][b]Пчелку[/b][/green] на Ваше сообщение, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'scelet') {
        $msg = "оставил" . ($user['sex'] == 0 ? "а" : "") . " [blue][b]Скелет[/b][/blue] на Вашем сообщении, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'dino') {
        $msg = "оставил" . ($user['sex'] == 0 ? "а" : "") . " [green][b]След ДИНОЗАВРА[/b][/green] на Вашем сообщении, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'kiss') {
        $msg = "оставил" . ($user['sex'] == 0 ? "а" : "") . " [red][b]Поцелуйчик[/b][/red] на Вашем сообщении, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    } elseif ($_SESSION['type'] == 'serdce') {
        $msg = "оставил" . ($user['sex'] == 0 ? "а" : "") . " [red][b]Сердечко[/b][/red] на Вашем сообщении, в [url=/modules/mini_chat/?page=$page]Чате[/url]";
    }

    mysql_query("INSERT INTO `notification` (`id_user`, `id_kont`, `id_img`, `msg`, `time`) values('$user[id]', '$ank[id]', '5', '" . mysql_real_escape_string($msg) . "', '$time')");
    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - 20) . "' WHERE `id` = '$user[id]'");

    $_SESSION['message'] = lang('Ляп успешно оставлен');
    header("Location: index.php?page=" . $page);
    exit;
}

$set['title'] = lang('Ляп на пост'); // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/mini_chat/'>" . lang('Мини чат') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Ляп на пост');
echo "</small></div><br />";

echo '<div class="list-group-item-null list-group-item-grey" style="background-image:url(style/' . $post['fon'] . '.jpg); padding-top:10px; ">';

$l = mysql_query("SELECT * FROM `mini_chat_layp` WHERE `id_post` = '$post[id]'");

while ($layp = mysql_fetch_assoc($l)) {
    echo "<img src='img/$layp[dir]/$layp[img].png' style='position: absolute; margin-left: $layp[margin_left]px;' />";
}

if (isset($_GET['act'])) {
    if ($_GET['act'] == 'pomidor') {
        $_SESSION['type'] = 'tomate';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 4);
    } elseif ($_GET['act'] == 'kraski') {
        $_SESSION['type'] = 'kraski';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 7);
    } elseif ($_GET['act'] == 'puli') {
        $_SESSION['type'] = 'puli';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 5);
    } elseif ($_GET['act'] == 'pchel') {
        $_SESSION['type'] = 'pchel';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 9);
    } elseif ($_GET['act'] == 'scelet') {
        $_SESSION['type'] = 'scelet';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 9);
    } elseif ($_GET['act'] == 'dino') {
        $_SESSION['type'] = 'dino';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 8);
    } elseif ($_GET['act'] == 'kiss') {
        $_SESSION['type'] = 'kiss';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 9);
    } elseif ($_GET['act'] == 'serdce') {
        $_SESSION['type'] = 'serdce';
        $_SESSION['pos'] = mt_rand(1, 176);
        $_SESSION['img'] = mt_rand(1, 12);
    }
    echo "<img src='img/$_SESSION[type]/$_SESSION[img].png' style='position: absolute; margin-left: $_SESSION[pos]px;' />";
}

echo user($ank['id']) . "  ";
echo "<small style='color: grey;'>" . date::times($post['time']) . "</small><br />";

echo toOutput($post['msg']);
echo "</div>";

if (isset($_GET['act'])) {
    echo "<div class='list-group-item-null list-group-item-info'>";
    echo "<a href='?post=$post[id]&amp;page=$page&amp;ok'><i class='fa fa-check fa-fw'></i> Готово</a> | <a href='" . htmlspecialchars($_SERVER['REQUEST_URI']) . "'>Еще вариант</a>";
    echo "</div>";
}


echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=pomidor' class='list-group-item-null'><img src='img/tomate.png' /> Кинуть помидор <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=kraski' class='list-group-item-null'><img src='img/kraski.png' /> Заляпать краской <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=kiss' class='list-group-item-null'><img src='img/kiss.png' /> Оставить поцелуй <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=serdce' class='list-group-item-null'><img src='img/serdce.png' /> Сердечки <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=puli' class='list-group-item-null'><img src='img/puli.png' /> Пальнуть из нагана <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=pchel' class='list-group-item-null'><img src='img/pchel.png'/> Посадить пчёлку <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=scelet' class='list-group-item-null'><img src='img/scelet.png'/> Оставить кости <span class='count'>20 рублей</span></a>";
echo "<a href='?post=$post[id]&amp;page=" . intval($_GET['page']) . "&amp;act=dino' class='list-group-item-null'><img src='img/dino.png'/> След динозавра <span class='count'>20 рублей</span></a>";

require_once H . 'sys/inc/tfoot.php';
